package com.ruoyi.shipping.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 航次对象 t_voyage
 * 
 * @author ruoyi
 * @date 2021-04-02
 */
public class TVoyage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 船名id（t_vessel  f_id） */
    @Excel(name = "船名id", readConverterExp = "t=_vessel,f=_id")
    private Long fPid;
    /**船名中文*/
    private String pidName;

    /** 航次 */
    @Excel(name = "航次")
    private String fNo;

    /** 装货港 */
    @Excel(name = "装货港")
    private Long fPortofloadid;

    /** 卸货港 */
    @Excel(name = "卸货港")
    private Long fPortofdischargeid;

    /** 目的港 */
    @Excel(name = "目的港")
    private Long fDistinationid;

    /** 中转港 */
    @Excel(name = "中转港")
    private Long fPortoftransshipment;

    /** 预计开船日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计开船日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEtd;

    /** 开船日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开船日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAtd;

    /** 预计到达日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计到达日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEta;

    /** 到港日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到港日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAta;

    /** 航期 */
    @Excel(name = "航期")
    private Long fDays;

    /** 截单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fDucomentrayoffdate;

    /** 截港日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截港日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCutoffdate;

    /** $column.columnComment */
    @Excel(name = "截港日期")
    private String fTeu;

    /** 管船人 */
    @Excel(name = "管船人")
    private Long fManageid;

    /** 电话 */
    @Excel(name = "电话")
    private String fTel;

    /** 默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "默认 T ,正常T 停用F 下拉选择")
    private String fStatus;
    /** 航线 */
    @Excel(name = "航线")
    private Integer fLaneid;
    //查询时间区间
    private List<String> cLoadDate;
    //装货港名称
    private String portofloadidName;
    //卸货港名称
    private String portofdischargeidName;
    //目的港名称
    private String distinationidName;
    //中转港名称
    private String portoftransshipmentName;
    //管船人名称
    private String manageidName;
    //最低运费
    private String twenty;
    //最低运费
    private String fortyHc;
    //最低运费
    private String fortyRh;
    //截单日期
    private Long closing;
    //详细信息
    private List<TVoyage> freight;
    //中转港是否为空
    private Long empty;
    //航线名称
    private String fLaneName;
    //运价信息
    private List<TCtnpriceItems> tCtnpriceItemsList;

    public List<TCtnpriceItems> gettCtnpriceItemsList() {
        return tCtnpriceItemsList;
    }

    public void settCtnpriceItemsList(List<TCtnpriceItems> tCtnpriceItemsList) {
        this.tCtnpriceItemsList = tCtnpriceItemsList;
    }

    public String getfLaneName() {
        return fLaneName;
    }

    public void setfLaneName(String fLaneName) {
        this.fLaneName = fLaneName;
    }

    public Integer getfLaneid() {
        return fLaneid;
    }

    public void setfLaneid(Integer fLaneid) {
        this.fLaneid = fLaneid;
    }

    public Long getEmpty() {
        return empty;
    }

    public void setEmpty(Long empty) {
        this.empty = empty;
    }

    public Long getClosing() {
        return closing;
    }

    public void setClosing(Long closing) {
        this.closing = closing;
    }

    public List<TVoyage> getFreight() {
        return freight;
    }

    public void setFreight(List<TVoyage> freight) {
        this.freight = freight;
    }

    public String getTwenty() {
        return twenty;
    }

    public void setTwenty(String twenty) {
        this.twenty = twenty;
    }

    public String getFortyHc() {
        return fortyHc;
    }

    public void setFortyHc(String fortyHc) {
        this.fortyHc = fortyHc;
    }

    public String getFortyRh() {
        return fortyRh;
    }

    public void setFortyRh(String fortyRh) {
        this.fortyRh = fortyRh;
    }

    public String getPidName() {
        return pidName;
    }

    public void setPidName(String pidName) {
        this.pidName = pidName;
    }

    public String getPortofloadidName() {
        return portofloadidName;
    }

    public void setPortofloadidName(String portofloadidName) {
        this.portofloadidName = portofloadidName;
    }

    public String getPortofdischargeidName() {
        return portofdischargeidName;
    }

    public void setPortofdischargeidName(String portofdischargeidName) {
        this.portofdischargeidName = portofdischargeidName;
    }

    public String getDistinationidName() {
        return distinationidName;
    }

    public void setDistinationidName(String distinationidName) {
        this.distinationidName = distinationidName;
    }

    public String getPortoftransshipmentName() {
        return portoftransshipmentName;
    }

    public void setPortoftransshipmentName(String portoftransshipmentName) {
        this.portoftransshipmentName = portoftransshipmentName;
    }

    public String getManageidName() {
        return manageidName;
    }

    public void setManageidName(String manageidName) {
        this.manageidName = manageidName;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfNo(String fNo) 
    {
        this.fNo = fNo;
    }

    public String getfNo() 
    {
        return fNo;
    }
    public void setfPortofloadid(Long fPortofloadid) 
    {
        this.fPortofloadid = fPortofloadid;
    }

    public Long getfPortofloadid() 
    {
        return fPortofloadid;
    }
    public void setfPortofdischargeid(Long fPortofdischargeid) 
    {
        this.fPortofdischargeid = fPortofdischargeid;
    }

    public Long getfPortofdischargeid() 
    {
        return fPortofdischargeid;
    }
    public void setfDistinationid(Long fDistinationid) 
    {
        this.fDistinationid = fDistinationid;
    }

    public Long getfDistinationid() 
    {
        return fDistinationid;
    }
    public void setfPortoftransshipment(Long fPortoftransshipment) 
    {
        this.fPortoftransshipment = fPortoftransshipment;
    }

    public Long getfPortoftransshipment() 
    {
        return fPortoftransshipment;
    }
    public void setfEtd(Date fEtd) 
    {
        this.fEtd = fEtd;
    }

    public Date getfEtd() 
    {
        return fEtd;
    }
    public void setfAtd(Date fAtd) 
    {
        this.fAtd = fAtd;
    }

    public Date getfAtd() 
    {
        return fAtd;
    }
    public void setfEta(Date fEta) 
    {
        this.fEta = fEta;
    }

    public Date getfEta() 
    {
        return fEta;
    }
    public void setfAta(Date fAta) 
    {
        this.fAta = fAta;
    }

    public Date getfAta() 
    {
        return fAta;
    }
    public void setfDays(Long fDays) 
    {
        this.fDays = fDays;
    }

    public Long getfDays() 
    {
        return fDays;
    }
    public void setfDucomentrayoffdate(Date fDucomentrayoffdate) 
    {
        this.fDucomentrayoffdate = fDucomentrayoffdate;
    }

    public Date getfDucomentrayoffdate() 
    {
        return fDucomentrayoffdate;
    }
    public void setfCutoffdate(Date fCutoffdate) 
    {
        this.fCutoffdate = fCutoffdate;
    }

    public Date getfCutoffdate() 
    {
        return fCutoffdate;
    }
    public void setfTeu(String fTeu) 
    {
        this.fTeu = fTeu;
    }

    public String getfTeu() 
    {
        return fTeu;
    }
    public void setfManageid(Long fManageid) 
    {
        this.fManageid = fManageid;
    }

    public Long getfManageid() 
    {
        return fManageid;
    }
    public void setfTel(String fTel) 
    {
        this.fTel = fTel;
    }

    public String getfTel() 
    {
        return fTel;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fNo", getfNo())
            .append("fPortofloadid", getfPortofloadid())
            .append("fPortofdischargeid", getfPortofdischargeid())
            .append("fDistinationid", getfDistinationid())
            .append("fPortoftransshipment", getfPortoftransshipment())
            .append("fEtd", getfEtd())
            .append("fAtd", getfAtd())
            .append("fEta", getfEta())
            .append("fAta", getfAta())
            .append("fDays", getfDays())
            .append("fDucomentrayoffdate", getfDucomentrayoffdate())
            .append("fCutoffdate", getfCutoffdate())
            .append("fTeu", getfTeu())
            .append("fManageid", getfManageid())
            .append("fTel", getfTel())
            .append("fStatus", getfStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("fLaneid", getfLaneid())
            .toString();
    }
}
